diff --git a/conf/app_name.cfg b/conf/app_name.cfg
index 928b2db..c7c1044 100644
--- a/conf/app_name.cfg
+++ b/conf/app_name.cfg
@@ -74,46 +74,46 @@ test-eventdev=target/app/dpdk-test-eventdev
 test-pipeline=target/app/testpipeline
 test-pmd=target/app/testpmd
 test-sad=target/app/testsad
-ethtool=examples/ethtool/ethtool-app/target/ethtool
-eventdev_pipeline=examples/build/app/eventdev_pipeline
-fips_validation=examples/build/app/fips_validation
-flow_classify=examples/build/app/flow_classify
-flow_filtering=examples/build/app/flow
-helloworld=examples/build/app/helloworld
-ioat=examples/build/app/ioatfwd
-ip_fragmentation=examples/build/app/ip_fragmentation
-ip_pipeline=examples/build/app/ip_pipeline
-ip_reassembly=examples/build/app/ip_reassembly
-ipsec-secgw=examples/build/app/ipsec-secgw
-ipv4_multicast=examples/build/app/ipv4_multicast
-kni=examples/build/app/kni
-l2fwd=examples/build/app/l2fwd
-l2fwd-crypto=examples/build/app/l2fwd-crypto
-l2fwd-event=examples/build/app/l2fwd-event
-l2fwd-jobstats=examples/build/app/l2fwd-jobstats
-l2fwd-keepalive=examples/build/app/l2fwd-keepalive
-l3fwd=examples/build/app/l3fwd
-l3fwd-acl=examples/build/app/l3fwd-acl
-l3fwd-power=examples/build/app/l3fwd-power
-link_status_interrupt=examples/build/app/link_status_interrupt
-ntb=examples/build/app/ntb_fwd
-packet_ordering=examples/build/app/packet_ordering
-ptpclient=examples/build/app/ptpclient
-qos_meter=examples/build/app/qos_meter
-qos_sched=examples/build/app/qos_sched
-rxtx_callbacks=examples/build/app/rxtx_callbacks
-service_cores==examples/build/app/service_cores
-skeleton=examples/build/app/basicfwd
-tep_termination=examples/build/app/tep_termination
-timer=examples/build/app/timer
-vdpa=examples/build/app/vdpa
-vhost=examples/build/app/vhost-switch
-vhost_blk=examples/build/app/vhost-blk
-vhost_crypto=examples/build/app/vhost-crypto
-vmdq=examples/build/app/vmdq_app
-vmdq_dcb=examples/build/app/vmdq_dcb_app
-mp_client=examples/multi_process/client_server_mp/mp_client/target/app/mp_client
-hotplug_mp=examples/multi_process/hotplug_mp/target/app/hotplug_mp
-mp_server=examples/multi_process/client_server_mp/mp_client/target/app/mp_server
-simple_mp/=examples/multi_process/simple_mp/target/app/simple_mp/
-symmetric_mp=examples/multi_process/symmetric_mp/target/app/symmetric_mp
+ethtool=examples/ethtool/ethtool-app/ethtool
+eventdev_pipeline=examples/eventdev_pipeline/build/app/eventdev_pipeline
+fips_validation=examples/fips_validation/build/app/fips_validation
+flow_classify=examples/flow_classify/build/app/flow_classify
+flow_filtering=examples/flow_filtering/build/app/flow
+helloworld=examples/helloworld/build/app/helloworld
+ioat=examples/ioat/build/app/ioatfwd
+ip_fragmentation=examples/ip_fragmentation/build/app/ip_fragmentation
+ip_pipeline=examples/ip_pipeline/build/app/ip_pipeline
+ip_reassembly=examples/ip_reassembly/build/app/ip_reassembly
+ipsec-secgw=examples/ipsec-secgw/build/app/ipsec-secgw
+ipv4_multicast=examples/ipv4_multicast/build/app/ipv4_multicast
+kni=examples/kni/build/app/kni
+l2fwd=examples/l2fwd/build/app/l2fwd
+l2fwd-crypto=examples/l2fwd-crypto/build/app/l2fwd-crypto
+l2fwd-event=examples/l2fwd-event/build/app/l2fwd-event
+l2fwd-jobstats=examples/l2fwd-jobstats/build/app/l2fwd-jobstats
+l2fwd-keepalive=examples/l2fwd-keepalive/build/app/l2fwd-keepalive
+l3fwd=examples/l3fwd/build/app/l3fwd
+l3fwd-acl=examples/l3fwd-acl/build/app/l3fwd-acl
+l3fwd-power=examples/l3fwd-power/build/app/l3fwd-power
+link_status_interrupt=examples/link_status_interrupt/build/app/link_status_interrupt
+ntb=examples/ntb/build/app/ntb_fwd
+packet_ordering=examples/packet_ordering/build/app/packet_ordering
+ptpclient=examples/ptpclient/build/app/ptpclient
+qos_meter=examples/qos_meter/build/app/qos_meter
+qos_sched=examples/qos_sched/build/app/qos_sched
+rxtx_callbacks=examples/rxtx_callbacks/build/app/rxtx_callbacks
+service_cores=examples/service_cores/build/app/service_cores
+skeleton=examples/skeleto/build/app/basicfwd
+tep_termination=examples/tep_termination/build/app/tep_termination
+timer=examples/timer/build/app/timer
+vdpa=examples/vdpa/build/app/vdpa
+vhost=examples/vhost/build/app/vhost-switch
+vhost_blk=examples/vhost_blk/build/app/vhost-blk
+vhost_crypto=examples/vhost_crypto/build/app/vhost-crypto
+vmdq=examples/vmdq/build/app/vmdq_app
+vmdq_dcb=examples/vmdq_dcb/build/app/vmdq_dcb_app
+mp_client=examples/multi_process/client_server_mp/mp_client/build/app/mp_client
+hotplug_mp=examples/multi_process/hotplug_mp/build/app/hotplug_mp
+mp_server=examples/multi_process/client_server_mp/mp_server/build/app/mp_server
+simple_mp=examples/multi_process/simple_mp/build/app/simple_mp
+symmetric_mp=examples/multi_process/symmetric_mp/build/app/symmetric_mp